<?php
$output = '';
if(is_array($post_sections) && count($post_sections))
{
	foreach($post_sections as $section_index=>$post_section)
	{
		$index = $last_index + $section_index;
		$output .= '
			<tr class="post_section_' . $index . ' post_sections_settings pn-post_sections pn-section-start pn-no-border ' . (isset($post_section['manual']) && $post_section['manual'] ? 'manual' : '' ) . '" ' . (!$hide || ($this->get_option_post('post_sections_default')===0) ? '' : 'style="display: none;"'). '>
				<td>
					<label for="section_title_' . $index . '">' . __('Section:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_title_' . $index . '" name="section_title[]" value="' . esc_attr($post_section['title']) . '"/>
				</td>
				<td></td>
			</tr>
			<tr class="post_section_' . $index . ' post_sections_settings pn-post_sections pn-no-border ' . (isset($post_section['manual']) && $post_section['manual'] ? 'manual' : '' ) . '" ' . (!$hide || ($this->get_option_post('post_sections_default')===0) ? '' : 'style="display: none;"'). '>
				<td>
					<label for="section_title_' . $index . '">' . __('Class:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_class_' . $index . '" name="section_class[]" value="' . esc_attr($post_section['class']) . '"/>
				</td>
				<td>
					<span class="description">' . __('Unique class to identify the section:', 'site_content_navigator') . '</span>
				</td>
			</tr>
			<tr class="post_section_' . $index . ' post_sections_settings pn-post_sections pn-no-border ' . (isset($post_section['manual']) && $post_section['manual'] ? 'manual' : '' ) . '" ' . (!$hide || ($this->get_option_post('post_sections_default')===0) ? '' : 'style="display: none;"'). '>
				<td>
					<label for="section_img_' . $index . '">' . __('Image:', 'site_content_navigator') . '</label>
				</td>
				<td>
					<input type="text" id="section_img_' . $index . '" name="section_img[]" value="' . (isset($post_section['img']) ? esc_attr($post_section['img']) : '' ). '"/>
					<input type="hidden" id="section_img_id_' . $index . '" name="section_img_id[]" value="' . (isset($post_section['img_id']) ? esc_attr($post_section['img_id']) : '' ). '"/>
				</td>
				<td>
					<button class="pn_select_image button" data-img-field="section_img_' . $index . '">' . __('Browse', 'site_content_navigator') . '</button>
				</td>
			</tr>
			<tr class="post_section_' . $index . ' post_sections_settings pn-post_sections pn-no-border ' . (isset($post_section['manual']) && $post_section['manual'] ? 'manual' : '' ) . '" ' . (!$hide || ($this->get_option_post('post_sections_default')===0) ? '' : 'style="display: none;"'). '>
				<td>
					<label for="section_description_' . $index . '">' . __('Description:', 'site_content_navigator') . '</label>
				</td>
				<td colspan="2">
					<textarea type="text" id="section_description_' . $index . '" name="section_description[]">' . (isset($post_section['description']) ? esc_textarea($post_section['description']) : '' ). '</textarea>
				</td>
			</tr>
			<tr class="post_section_' . $index . ' post_sections_settings pn-post_sections pn-align-right pn-section-end ' . (isset($post_section['manual']) && $post_section['manual'] ? 'manual' : '' ) . '" ' . (!$hide || ($this->get_option_post('post_sections_default')===0) ? '' : 'style="display: none;"'). '>
				<td colspan="3">
					<button class="delete_section" class="button" name="delete_section" title="' . __('Delete section', 'site_content_navigator') . '" data-section-index="' . $index . '">' . __('Delete', 'site_content_navigator') . '</button>
					<input type="hidden" name="section_manual[]" value="' . (isset($post_section['manual']) ? $post_section['manual'] : '0' ). '"/>
				</td>
			</tr>';
	}
}
return $output;